Skip to main content
PATCH
/
dev
/
v1
/
customers
/
{id}
Update customer
curl --request PATCH \
  --url https://api.shoppex.io/dev/v1/customers/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "email": "<string>",
  "name": "<string>",
  "phone": "<string>",
  "country_code": "<string>",
  "street_address": "<string>",
  "city": "<string>",
  "postal_code": "<string>",
  "customer_balance": {},
  "customerBalance": {},
  "customer_balance_description": "<string>",
  "customerBalanceDescription": "<string>"
}
'
{
  "data": {}
}

Documentation Index

Fetch the complete documentation index at: https://docs.shoppex.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use your Shoppex API key in the Authorization header.

Path Parameters

id
string
required

Body

email
string
name
string
phone
string | null
country_code
string | null
street_address
string | null
city
string | null
postal_code
string | null
customer_balance
object
customerBalance
object
customer_balance_description
string
customerBalanceDescription
string

Response

200 - application/json

Successful response

data
object